Browser requirements for Orkut

You can access Orkut via one of the following fully supported (and free!) web browsers:

You must enable JavaScript and cookies in order to use Orkut properly.

You can check what browser version you're currently running at www.WhatBrowser.org, a site created by Google.

Note that if you don't use an up-to-date browser many Orkut features may not work properly.


Additionally, you can also access Orkut via the following browsers, although the interface quality may not be as high:

  • Apple Safari 4 or later
  • Opera 10 or later

Internet Explorer 6 users

If you still need to use the old Internet Explorer 6.0 or are unable to upgrade, you can install Google Chrome Frame to ensure Orkut continues to function properly. Google Chrome Frame is a free plugin that enables modern web applications to still run on older versions of Internet Explorer.

If you are unable to upgrade your browser on your own, contact your administrator or your IT support for further assistance.